---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcrrawmon001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51260, symBinAddr: 0xA310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x531A0, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53590, symBinAddr: 0xC640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54530, symBinAddr: 0xD5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54540, symBinAddr: 0xD5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4ED90, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4ED94, symBinAddr: 0x8094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4ED98, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EEF0, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EFA8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EFAC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EFB0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EFB4, symBinAddr: 0x8164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4EFB8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4EFC0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4EFD8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4EFE0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4EFE8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4EFF0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4EFF8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F03A, symBinAddr: 0x81BA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F040, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL8monitors, symObjAddr: 0x4F050, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51050, symBinAddr: 0xA1D0, symSize: 0x0 }
  - { offsetInCU: 0x913D, offset: 0x913D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51058, symBinAddr: 0xA1D8, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xA40, symSize: 0x80 }
  - { offsetInCU: 0x9224, offset: 0x9224, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x990, symSize: 0xB0 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x890, symSize: 0x100 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xAC0, symSize: 0x220 }
  - { offsetInCU: 0x96F7, offset: 0x96F7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xCE0, symSize: 0xA0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xD80, symSize: 0x110 }
  - { offsetInCU: 0x98A0, offset: 0x98A0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE90, symSize: 0x150 }
  - { offsetInCU: 0x99FD, offset: 0x99FD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xFE0, symSize: 0x30 }
  - { offsetInCU: 0x9ABE, offset: 0x9ABE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1010, symSize: 0x150 }
  - { offsetInCU: 0x9CB6, offset: 0x9CB6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1160, symSize: 0x160 }
  - { offsetInCU: 0x9E42, offset: 0x9E42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x12C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA05D, offset: 0xA05D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1470, symSize: 0xA0 }
  - { offsetInCU: 0xA12C, offset: 0xA12C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1510, symSize: 0x20 }
  - { offsetInCU: 0xA163, offset: 0xA163, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1530, symSize: 0x20 }
  - { offsetInCU: 0xA19A, offset: 0xA19A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1550, symSize: 0x20 }
  - { offsetInCU: 0xA309, offset: 0xA309, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1570, symSize: 0x1A0 }
  - { offsetInCU: 0xA62F, offset: 0xA62F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1710, symSize: 0x80 }
  - { offsetInCU: 0xA6F8, offset: 0xA6F8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1790, symSize: 0x6A0 }
  - { offsetInCU: 0xB28D, offset: 0xB28D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E30, symBinAddr: 0x2750, symSize: 0xB0 }
  - { offsetInCU: 0xB304, offset: 0xB304, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1E30, symSize: 0x70 }
  - { offsetInCU: 0xB3A0, offset: 0xB3A0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1EA0, symSize: 0xA0 }
  - { offsetInCU: 0xB4AB, offset: 0xB4AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1F40, symSize: 0x40 }
  - { offsetInCU: 0xB5A1, offset: 0xB5A1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1F80, symSize: 0x2B0 }
  - { offsetInCU: 0xB947, offset: 0xB947, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2230, symSize: 0xC0 }
  - { offsetInCU: 0xBA8D, offset: 0xBA8D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x22F0, symSize: 0x10 }
  - { offsetInCU: 0xBB4F, offset: 0xBB4F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2300, symSize: 0x220 }
  - { offsetInCU: 0xBE4C, offset: 0xBE4C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2520, symSize: 0x10 }
  - { offsetInCU: 0xBEA9, offset: 0xBEA9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2530, symSize: 0xF0 }
  - { offsetInCU: 0xBFF6, offset: 0xBFF6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x2620, symSize: 0x10 }
  - { offsetInCU: 0xC053, offset: 0xC053, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9D10, symBinAddr: 0x2630, symSize: 0x110 }
  - { offsetInCU: 0xC107, offset: 0xC107, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_CreateRawMonitor_crrawmon001_check, symObjAddr: 0x9E20, symBinAddr: 0x2740, symSize: 0x10 }
  - { offsetInCU: 0xC13C, offset: 0xC13C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EE0, symBinAddr: 0x2800, symSize: 0x36A }
...
